function WORDoNewCharacterInitializations(playernum, character)
    local player = getSpecificPlayer(playernum)
    if player:getModData().WORbodyDirtiness == nil then
        player:getModData().WORbodyDirtiness = 0;
    end
    if player:getModData().WORbodyBloodiness == nil then
        player:getModData().WORbodyBloodiness = 0;
    end
end

Events.OnCreatePlayer.Add(WORDoNewCharacterInitializations)